Function
clear
Deallocates all memory blocks.
clear(allocator)
Include Headers
seqan/basic.h
Parameters

allocator | Allocator object. Types: Allocator: Allocator

Remarks
This function deallocates all memory blocks that was allocated using allocate for allocator. The memory is not pooled but directly passed back to the heap manager.
Example Programs
Allocators
Part of Concept
Allocator
See Also
deallocate, allocate
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:46